#include <stdio.h>
#include <unistd.h>

int usage (char *err) {
	if (err) printf ("%s\n", err);
	printf ("Usage: html-encode [-v] <string> <string> <string>\n");
	return 1;
}

int main (int argc, char **argv)
{
	int i, j, verbose = 0;

	while ((i = getopt (argc, argv, "v")) > -1) {
		switch (i) {
			case 'v': verbose = 1; break;
			default: return usage (0);
		}
	}
	if (argc - optind < 1)
		usage ("Nothing to do");

	for (i = optind; i < argc; i++) {
		if (verbose) printf ("%s: ", argv[i]);
		for (j = 0; j < strlen (argv[i]); j++) {
			printf ("&#%d;", argv[i][j]);
		}
		printf ("\n");
	}

	return 0;
}
